## r-cran-s7 0.2.0

=== DESCRIPTION ===
Package: S7
Title: An Object Oriented System Meant to Become a Successor to S3 and
        S4
Version: 0.2.0
Authors@R: c(
    person("Object-Oriented Programming Working Group", role = "cph"),
    person("Davis", "Vaughan", role = "aut"),
    person("Jim", "Hester", role = "aut",
           comment = c(ORCID = "0000-0002-2739-7082")),
    person("Tomasz", "Kalinowski", role = "aut"),
    person("Will", "Landau", role = "aut"),
    person("Michael", "Lawrence", role = "aut"),
    person("Martin", "Maechler", role = "aut",
           comment = c(ORCID = "0000-0002-8685-9910")),
    person("Luke", "Tierney", role = "aut"),
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4757-117X"))
  )
Description: A new object oriented programming system designed to be a
    successor to S3 and S4. It includes formal class, generic, and method
    specification, and a limited form of multiple dispatch. It has been
    designed and implemented collaboratively by the R Consortium
    Object-Oriented Programming Working Group, which includes
    representatives from R-Core, 'Bioconductor', 'Posit'/'tidyverse', and
    the wider R community.
License: MIT + file LICENSE
URL: https://rconsortium.github.io/S7/,
        https://github.com/RConsortium/S7
BugReports: https://github.com/RConsortium/S7/issues
Depends: R (>= 3.5.0)
Imports: utils
Suggests: bench, callr, covr, knitr, methods, rmarkdown, testthat (>=
        3.2.0), tibble
VignetteBuilder: knitr
Config/build/compilation-database: true
Config/Needs/website: sloop
Config/testthat/edition: 3
Config/testthat/parallel: TRUE
Config/testthat/start-first: external-generic
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2024-11-06 17:18:31 UTC; hadleywickham
Author: Object-Oriented Programming Working Group [cph],
  Davis Vaughan [aut],
  Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
  Tomasz Kalinowski [aut],
  Will Landau [aut],
  Michael Lawrence [aut],
  Martin Maechler [aut] (<https://orcid.org/0000-0002-8685-9910>),
  Luke Tierney [aut],
  Hadley Wickham [aut, cre] (<https://orcid.org/0000-0003-4757-117X>)
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2024-11-07 12:50:02 UTC

=== tests/testthat/t1/DESCRIPTION ===
Package: t1
Title: What the Package Does (One Line, Title Case)
Version: 0.0.0.9000
Authors@R:
    c(person(given = "Jim",
             family = "Hester",
             role = c("aut", "cre"),
             email = "james.f.hester@gmail.com",
             comment = c(ORCID = "0000-0002-2739-7082")),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: What the package does (one paragraph).
Imports: S7
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.2

=== debian/changelog ===
r-cran-s7 (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1093424)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 15:41:20 +0100

=== debian/control ===
Source: r-cran-s7
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-s7
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-s7.git
Homepage: https://cran.r-project.org/package=S7
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-s7
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Object Oriented System Successor to S3 and S4
 New object oriented programming system designed to be a
 successor to S3 and S4. It includes formal class, generic, and method
 specification, and a limited form of multiple dispatch. It has been
 designed and implemented collaboratively by the R Consortium
 Object-Oriented Programming Working Group, which includes
 representatives from R-Core, 'Bioconductor', 'Posit'/'tidyverse', and
 the wider R community.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bench,
        r-cran-callr,
        r-cran-covr,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.2.0),
        r-cran-tibble
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/S7_([-\d.]*)\.tar\.gz

## r-cran-s7 0.2.1

=== debian/changelog ===
r-cran-s7 (0.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 14:43:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-s7
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-s7
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-s7.git
 Homepage: https://cran.r-project.org/package=S7
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-s7
 Architecture: any
